Bug 202291 - sysutils/bareos-client: make able to start
Summary: sysutils/bareos-client: make able to start
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-13 14:38 UTC by timp87
Modified: 2016-01-24 14:52 UTC (History)
1 user (show)

See Also:


Attachments
patch (432 bytes, patch)
2015-08-13 14:38 UTC, timp87
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2015-08-13 14:38:36 UTC
Created attachment 159837 [details]
patch

sysutils/bareos-client can't start because it needs /var/run/bareos dir which is not created by port.
Comment 1 timp87 2015-08-13 14:51:10 UTC
or this problem should be solved differently
Comment 2 timp87 2015-08-14 05:13:04 UTC
Hmm, if server depends on client like now, then same var and run dirs should be pulled out from server's pkg-plist.
Comment 3 commit-hook freebsd_committer 2015-08-14 16:34:28 UTC
A commit references this bug:

Author: acm
Date: Fri Aug 14 16:33:41 UTC 2015
New revision: 394229
URL: https://svnweb.freebsd.org/changeset/ports/394229

Log:
  - /var/log/bareos and /var/run/bareos are created by bareos-client now. It
    fixed a problem when bareos-client is started

  PR:		202291
  Reported by:	timp87  _ at _ gmail.com

Changes:
  head/sysutils/bareos-client/Makefile
  head/sysutils/bareos-server/Makefile
  head/sysutils/bareos-server/pkg-plist
  head/sysutils/bareos-server/pkg-plist.client